Skip to main content
POST
/
custom-reference-data
/
rows
/
list
List rows from a custom reference data source
curl --request POST \
  --url https://api.artu.ai/custom-reference-data/rows/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "sourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "offset": 0,
  "limit": 20,
  "includeTotalCount": true,
  "filter": {},
  "sort": [
    {
      "field": "<string>"
    }
  ],
  "asOf": "2023-11-07T05:31:56Z"
}
'
{
  "data": [
    {}
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "<string>",
    "totalCount": 0
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json
sourceId
string<uuid>
required
offset
integer
default:0
Required range: 0 <= x <= 9007199254740991
limit
integer
default:20
Required range: 1 <= x <= 200
includeTotalCount
boolean
filter
object
sort
object[]
asOf
string<date-time>

Response

200 - application/json

OK

data
object[]
required
pagination
object
required